# services/nextcloud/pvc.yaml
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: nextcloud-config-v2
  namespace: nextcloud
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 5Gi
  storageClassName: astreae
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: nextcloud-custom-apps-v2
  namespace: nextcloud
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 5Gi
  storageClassName: astreae
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: nextcloud-web-v2
  namespace: nextcloud
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 5Gi
  storageClassName: astreae
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: nextcloud-user-data-v2
  namespace: nextcloud
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 2Ti
  storageClassName: asteria
